namespace XmobiTea.MiniSound
{
    using UnityEngine;
    using UnityEngine.Audio;

    [CreateAssetMenu(fileName = SoundSettings.ResourcesPath, menuName = "XmobiTea Config/Sound Settings", order = 1)]
    public class SoundSettings : ScriptableObject
    {
        public const string ResourcesPath = "XmobiTea SoundSettings";

        [SerializeField]
        private AudioMixerGroup musicMixerGroup;
        public AudioMixerGroup MusicMixerGroup => musicMixerGroup;

        [SerializeField]
        private AudioMixerGroup soundMixerGroup;
        public AudioMixerGroup SoundMixerGroup => soundMixerGroup;

        [SerializeField]
        private AudioMixer masterMixer;
        public AudioMixer MasterMixer => masterMixer;

        [SerializeField]
        private AudioClip[] audioClips;
        public AudioClip[] AudioClips => audioClips;
    }
}
